RowResult class

- « Result::getWarningsCount

- RowResult::__construct »

- PHP Manual
- Mysql_xdevapi
- RowResult class

# RowResult class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

class mysql_xdevapi\RowResult implements mysql_xdevapi\BaseResult, Traversable {
/* Methods */
public fetchAll(): array
public fetchOne(): array
public getColumnsCount(): int
public getColumnNames(): array
public getColumns(): array
public getWarnings(): array
public getWarningsCount(): int
}

## Table of Contents

- RowResult::__construct — RowResult constructor
- RowResult::fetchAll — Get all rows from result
- RowResult::fetchOne — Get row from result
- RowResult::getColumnsCount — Get column count
- RowResult::getColumnNames — Get all column names
- RowResult::getColumns — Get column metadata
- RowResult::getWarnings — Get warnings from last operation
- RowResult::getWarningsCount — Get warning count from last operation